<div class="main-container">
  <h4 class="team-title">Наши специалисты</h4>
  <div class="team-container">
    <ng-container *ngFor="let person of teamMembers; let i = index;">
      <div class="team-card" (click)="showSpecialist(person)">
        <img class="team-card-img" [src]="person.imageSrc" alt="">
        <div class="team-card-data">
          <div class="team-card-name">{{person.name}}</div>
          <div class="team-card-speciality">{{person.position}}</div>
        </div>
        <app-modal (close)="closeModal()" *ngIf="isModal && person.id === index">
          <div class="modal-box">
            <img class="team-card-img modal" [src]="person.imageSrc" alt="">
            <div class="team-card-data">
              <div class="team-card-name modal">{{person.name}}</div>
              <div class="team-card-speciality modal">{{person.position}}</div>
              <div class="team-card-about modal">{{person.about}}</div>
            </div>
          </div>
        </app-modal>
      </div>
    </ng-container>
  </div>
<!--  <div class="form-container">-->
<!--    <h4 class="team-title">Записаться на прием</h4>-->
<!--    <form [formGroup]="form" (ngSubmit)="sendForm()" class="reserve-form">-->
<!--      <div class="form-control">-->
<!--        <label class="form-label" for="doctor">Специалист</label>-->
<!--        <select formControlName="doctor" class="form-input" id="doctor">-->
<!--          <ng-container *ngFor="let spec of teamNames">-->
<!--            <option [value]="spec">{{spec}}</option>-->
<!--          </ng-container>-->
<!--        </select>-->
<!--      </div>-->
<!--      <div-->
<!--        *ngIf="form.controls['doctor'].invalid  || form.controls['doctor'].touched">-->
<!--        <div class="alert" *ngIf="form.controls['doctor'].errors?.['required']">-->
<!--          Укажите специалиста-->
<!--        </div>-->
<!--      </div>-->
<!--      <div class="form-control">-->
<!--        <label class="form-label" for="name">Ваше имя</label>-->
<!--        <input formControlName="name" class="form-input" placeholder="Имя" id="name" type="text">-->
<!--      </div>-->
<!--      <div-->
<!--        *ngIf="form.controls['name'].invalid && (form.controls['name'].dirty || form.controls['name'].touched)">-->
<!--        <div class="alert" *ngIf="form.controls['name'].errors?.['required']">-->
<!--          Введите имя-->
<!--        </div>-->
<!--      </div>-->
<!--      <div class="form-control">-->
<!--        <label class="form-label" for="phone">Ваш телефон</label>-->
<!--        <input formControlName="phone" class="form-input" placeholder="Телефон" id="phone" type="tel">-->
<!--      </div>-->
<!--      <div-->
<!--        *ngIf="form.controls['phone'].invalid && (form.controls['phone'].dirty || form.controls['phone'].touched)">-->
<!--        <div class="alert" *ngIf="form.controls['phone'].errors?.['required']">-->
<!--          Введите телефон-->
<!--        </div>-->
<!--        <div class="alert" *ngIf="form.controls['phone'].errors?.['pattern']">-->
<!--          Укажите корректный телефонный номер-->
<!--        </div>-->
<!--      </div>-->
<!--      <div class="form-control">-->
<!--        <label class="form-label" for="message">Ваше сообщение</label>-->
<!--        <textarea formControlName="message" placeholder="Оставьте сообщение" class="form-input" name="message" id="message"-->
<!--                  rows="10"></textarea>-->
<!--      </div>-->
<!--      <div-->
<!--        *ngIf="form.controls['message'].invalid && (form.controls['message'].dirty || form.controls['message'].touched)">-->
<!--        <div class="alert" *ngIf="form.controls['message'].errors?.['required']">-->
<!--          Введите сообщение-->
<!--        </div>-->
<!--      </div>-->
<!--      <div class="form-group">-->
<!--        <label-->
<!--          class="box-text" for="agreement">Подтверждаю, что ознакомился с <span class="policy" (click)="openPolicy()">Политикой обработки персональных данных</span></label>-->
<!--        <input formControlName="checkInput" type="checkbox" id="agreement">-->
<!--      </div>-->
<!--      <button [class.disabled]="form.invalid" class="btn">Подтвердить</button>-->
<!--    </form>-->
<!--  </div>-->
</div>
